REPLACE_TREE_STRUCTURE = 1;
/* This statement tells HyPhy to completely erase 
all parameters associated with a Tree when the Tree
is being rewritten. Default behavior is to keep 
parameters from old analyses, including the ones
no longer included in rate models.
*/

SetDialogPrompt ("Please specify a nuleotide data file:");

DataSet myData  = ReadDataFile(PROMPT_FOR_FILE);
DataSetFilter myFilter = CreateFilter(myData,1);
HarvestFrequencies(obsFreqs,myFilter,1,1,1);

fprintf(stdout,"\n\n Original (Local) HKY85 Analysis  \n\n");
HKY85RateMatrix = {{*,b,a,b}{b,*,b,a}{a,b,*,b}{b,a,b,*}};
Model HKY85 = (HKY85RateMatrix, obsFreqs);
Tree myTree = ((a,b),c,d);
LikelihoodFunction theLikFun = (myFilter, myTree);
Optimize(results,theLikFun);
fprintf(stdout,theLikFun);

fprintf(stdout,"\n\n Global HKY85 Analysis  \n\n");
global S=2.0; 
GlobalHKY85Matrix = {{*,b,b*S,b}{b,*,b,b*S}{b*S,b,*,b}{b,b*S,b,*}};
Model GlobalHKY85 = (GlobalHKY85Matrix, obsFreqs);
Tree myTree = ((a,b),c,d);
LikelihoodFunction theLikFun = (myFilter, myTree);
Optimize(results,theLikFun);
fprintf(stdout,theLikFun);
