REPLACE_TREE_STRUCTURE = 1;
/* This statement tells HyPhy to completely erase 
all parameters associated with a Tree when the Tree
is being rewritten. Default behavior is to keep 
parameters from old analyses, including the ones
no longer included in rate models.
*/

SetDialogPrompt("Select a nucleotide data file:"); 
DataSet myData  = ReadDataFile(PROMPT_FOR_FILE);
DataSetFilter myFilter = CreateFilter(myData,1);
HarvestFrequencies(obsFreqs,myFilter,1,1,1);

equalFreqs = {{0.25}{0.25}{0.25}{0.25}};

myTopology = "((a,b),c,d)";

F81RateMatrix  = {{*,m,m,m}{m,*,m,m}{m,m,*,m}{m,m,m,*}};
Model F81 = (F81RateMatrix, obsFreqs);

HKY85RateMatrix = {{*,b,a,b}{b,*,b,a}{a,b,*,b}{b,a,b,*}};
Model HKY85 = (HKY85RateMatrix, obsFreqs);

REVRateMatrix  = {{*,a,b,c}{a,*,d,e}{b,d,*,f}{c,e,f,*}};
Model REV = (REVRateMatrix, obsFreqs);

Model JC69 = (F81RateMatrix, equalFreqs);

Model K2P = (HKY85RateMatrix, equalFreqs);

UseModel(JC69);
Tree myTree = myTopology;
fprintf(stdout,"\n\n JC69 Analysis \n\n");
LikelihoodFunction theLikFun = (myFilter, myTree);
Optimize(results,theLikFun);
fprintf(stdout,theLikFun);

UseModel(F81);
Tree myTree = myTopology;
fprintf(stdout,"\n\n F81 Analysis \n\n");
LikelihoodFunction theLikFun = (myFilter, myTree);
Optimize(results,theLikFun);
fprintf(stdout,theLikFun);

UseModel(K2P);
Tree myTree = myTopology;
fprintf(stdout,"\n\n K2P Analysis \n\n");
LikelihoodFunction theLikFun = (myFilter, myTree);
Optimize(results,theLikFun);
fprintf(stdout,theLikFun);

UseModel(HKY85);
Tree myTree = myTopology;
fprintf(stdout,"\n\n HKY85 Analysis \n\n");
LikelihoodFunction theLikFun = (myFilter, myTree);
Optimize(results,theLikFun);
fprintf(stdout,theLikFun);

UseModel(REV);
Tree myTree = myTopology;
fprintf(stdout,"\n\n REV Analysis \n\n");
LikelihoodFunction theLikFun = (myFilter, myTree);
Optimize(results,theLikFun);
fprintf(stdout,theLikFun);
